<template>
  <table>
    <thead>
    <tr>
      <th>#</th>
      <th>{{ 'Amount' | localization }}</th>
      <th>{{ 'Date' | localization }}</th>
      <th>{{ 'Category' | localization }}</th>
      <th>{{ 'Type' | localization }}</th>
      <th>{{ 'Open' | localization }}</th>
    </tr>
    </thead>

    <tbody>
    <tr v-for="(record, index) in records" :key="index">
      <td>{{ ++index }}</td>
      <td>{{ record.amount }}</td>
      <td>{{ record.date }}</td>
      <td>{{ record.categoryName }}</td>
      <td>
            <span
                class="white-text badge red"
                :class="{red: record.type === 'outcome', green: record.type === 'income'}"
            >
              {{ (record.type === 'income' ? 'Income' : 'Outcome') | localization }}
            </span>
      </td>
      <td>
        <button class="btn-small btn" @click="$router.push('/details/' + record.id)">
          <i class="material-icons">open_in_new</i>
        </button>
      </td>
    </tr>
    </tbody>
  </table>
</template>

<script>
export default {
  name: "Table",
  props: ['records', 'categories']
}
</script>

<style scoped>

</style>